The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Manage tabs

Get custom tabs for an entity

Returns the list of custom tabs for the given entity type.

GET /{entityName}/tabs

Output example:

[
    {
        "Name": "Book Labor",
        "Order": 0,
        "EntityType": "issue",
        "Id": "1a97acd9-27af-4ba6-b4f3-431f6c39a44d"
    }
]

Create a new custom tab for an entity

Creates a new custom tab for the given entity type.

POST /{entityName}/tabs

Body:

{
    "Name" : "Permits",
    "Order" : 1
}

The Order property defines the display order of tabs in the UI.

Return value ID of the created tab.

{
    "Value": "b3bf0c6f-1fcc-4e4b-9eae-48798e94d258"
}

create_tab_result

Update existing custom tab

Updates the name or order of an existing custom tab.

PUT /{entityName}/tabs/{tabId}

Select:

{"Name", "Order"}

Body:

{
    "Order" : 1,
    "Name" : "Permits*"
}

Delete custom tab

Deletes an existing custom tab by its ID.

DELETE /{entityName}/tabs/{tabId}